<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>5. 付録7A ランダムウォークと拡散方程式 &mdash; 計算機実習 1.0 documentation</title>
    
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="top" title="計算機実習 1.0 documentation" href="../index.html" />
    <link rel="up" title="計算機実習 問題12-4 継続型ランダムウォーク" href="12-4.html" />
    <link rel="next" title="6. 参考文献" href="reference.html" />
    <link rel="prev" title="4. まとめ" href="conclusion.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="reference.html" title="6. 参考文献"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="conclusion.html" title="4. まとめ"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">計算機実習 1.0 documentation</a> &raquo;</li>
          <li><a href="12-4.html" accesskey="U">計算機実習 問題12-4 継続型ランダムウォーク</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="a">
<h1>5. 付録7A ランダムウォークと拡散方程式<a class="headerlink" href="#a" title="Permalink to this headline">¶</a></h1>
<p>ランダムウォークと拡散方程式の関係を理解するために、拡散方程式から <img class="math" src="../_images/math/e8b4acec9cbfb51ca2c0d5a3f15fe233398c65a9.png" alt="&lt;x(t)&gt;"/> が0になることと <img class="math" src="../_images/math/131d0622b78258c0082d197772f9c9bd58b88d1b.png" alt="&lt;x^{2}(t)&gt;"/> がtに比例することが導かれることを示そう。拡散方程式は</p>
<div class="math">
<p><img src="../_images/math/b08b884ed2ede4b1e0cefce7bd00f798532e36d5.png" alt="\frac{\partial P(x,t)}{\partial t} = D \frac{\partial^{2} P(x,t)}{\partial x^{2}}"/></p>
</div><p><img class="math" src="../_images/math/e8b4acec9cbfb51ca2c0d5a3f15fe233398c65a9.png" alt="&lt;x(t)&gt;"/> と <img class="math" src="../_images/math/131d0622b78258c0082d197772f9c9bd58b88d1b.png" alt="&lt;x^{2}(t)&gt;"/> のt依存性を()から導くために、任意のxの関数の平均を</p>
<div class="math">
<p><img src="../_images/math/e4ff27c4e5387af908deecea140edd018cc3742b.png" alt="&lt;f(x,t)&gt; = \int_{-\infty}^{\infty} f(x)P(x,t)dx"/></p>
</div><p>で表す。そうすると変位の平均は</p>
<div class="math">
<p><img src="../_images/math/73cbbe4827982278aeedf2bb88c75ea8229c4093.png" alt="&lt;x(t)&gt; = \int_{-\infty}^{\infty} xP(x,t)dx"/></p>
</div><p>で与えられる。式()の右辺の積分を実行するために、式()の両辺にxを掛けて形式的にxについて積分する。</p>
<div class="math">
<p><img src="../_images/math/d55127f515bbeda8036763abea40d9236967aefa.png" alt="\int_{-\infty}^{\infty} x \frac{\partial P(x,t)}{\partial t}dx = D \int_{-\infty}^{\infty} x \frac{\partial^{2} P(x,t)}{\partial x^{2}}dx"/></p>
</div><p>左辺は</p>
<div class="math">
<p><img src="../_images/math/2bafd6e5da4c3420eadb0a5c3dc38b4a148d6934.png" alt="\int_{-\infty}^{\infty} x \frac{\partial P(x,t)}{\partial t}dx = \frac{\partial}{\partial t} \int_{-\infty}^{\infty} x P(x,t)dx = \frac{\partial}{\partial t} &lt;x&gt;"/></p>
</div><p>と表される。式()の右辺は部分積分をすると、求めている形に書き換えられる。</p>
<div class="math">
<p><img src="../_images/math/a3903ed8998561fea55c4921f45bd0cb85545bbe.png" alt="D \int_{-\infty}^{\infty} x \frac{\partial^{2} P(x,t)}{\partial x^{2}}dx = D x \frac{\partial P(x,t)}{\partial x}\biggm|_{x = -\infty}^{x = \infty} - D \int_{-\infty}^{\infty} x \frac{\partial P(x,t)}{\partial x}dx"/></p>
</div><p><img class="math" src="../_images/math/bf060a79c23e355dc6540602c829e562a321118e.png" alt="P(x=\pm \infty, t) = 0"/> であり、 <img class="math" src="../_images/math/6c210deb83388d4803c140cc88403cf07de1c37f.png" alt="x=\pm 1"/> では <img class="math" src="../_images/math/f48b617185733d8dd6712643f1ab17c736661a06.png" alt="P"/> のすべての空間微分は0なので、式()の右辺第1項は0になる。第2項は、積分すると <img class="math" src="../_images/math/57a1660e458bd52052411c20cb08a891bd0fcb1a.png" alt="D[P(x = \infty, t)-P(x = \infty, t)]"/> となるので、やはり0になる。したがって</p>
<div class="math">
<p><img src="../_images/math/3a9e381b7f1cfbb416e692c8c9424df347a0f321.png" alt="\frac{\partial}{\partial x}&lt;x&gt; = 0"/></p>
</div><p>が得られ、 <img class="math" src="../_images/math/bab3d445204c4c41f8ea60354ada2878eed2d173.png" alt="&lt;x&gt;"/> は時間によらない定数になる。 <img class="math" src="../_images/math/4e2677b4edfbb85a135b7807d780a44ffa83f052.png" alt="t=0"/> で <img class="math" src="../_images/math/55ba271999995cac02cf578362df5be030594ed6.png" alt="x=0"/> なので、結局、すべての <img class="math" src="../_images/math/ef9270877405055756d345facd044e4ab297f858.png" alt="t"/> について <img class="math" src="../_images/math/1277017943e29284d26ceda13ca352d969e99346.png" alt="&lt;x&gt;=0"/> が成り立つという結論になる。 <img class="math" src="../_images/math/131d0622b78258c0082d197772f9c9bd58b88d1b.png" alt="&lt;x^{2}(t)&gt;"/> を計算するには2度の部分積分が必要であり、そうすると</p>
<div class="math">
<p><img src="../_images/math/7731ff2102f0215ef7da0e593f317fc9c515d92f.png" alt="\frac{\partial}{\partial x}&lt;x^{2}(t)&gt; = 2D"/></p>
</div><p>したがって</p>
<div class="math">
<p><img src="../_images/math/3ec376bdc6435c4cae3268b6361ef9408a7f3441.png" alt="&lt;x^{2}(t)&gt; = 2Dt"/></p>
</div><p>が得られる。こうして、ランダムウォークと拡散方程式が同じ時間依存性を持つことがわかる。 <img class="math" src="../_images/math/425d86ba2f2979d75b7535c2bcf92c33ed6b285a.png" alt="d"/> 次元空間では、 <img class="math" src="../_images/math/4106b56306f84c6235988b76d741e092dd264a92.png" alt="2D"/> は <img class="math" src="../_images/math/f674855e8f6091e3bbc530bf23aeaa1aa2893317.png" alt="2dD"/> に置き換えられる。</p>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="conclusion.html"
                        title="previous chapter">4. まとめ</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="reference.html"
                        title="next chapter">6. 参考文献</a></p>
  <h3>This Page</h3>
  <ul class="this-page-menu">
    <li><a href="../_sources/12-4_history-dependent_rw/huroku.txt"
           rel="nofollow">Show Source</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="reference.html" title="6. 参考文献"
             >next</a> |</li>
        <li class="right" >
          <a href="conclusion.html" title="4. まとめ"
             >previous</a> |</li>
        <li><a href="../index.html">計算機実習 1.0 documentation</a> &raquo;</li>
          <li><a href="12-4.html" >計算機実習 問題12-4 継続型ランダムウォーク</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2014, Shotaro Fujimoto.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2.
    </div>
  </body>
</html>